Subject: bug#22250: 25.0.50; Eww fails to break RTL paragraph

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Dec 2015 21:27:07 +0200

> From: Benjamin Riefenstahl <[email-masked]>
> Date: Sun, 27 Dec 2015 20:11:52 +0100
> Cc: Benjamin Riefenstahl <[email-masked]>
> 
> I load the attached HTML file in a git Emacs (branch emacs-25, revision
> f9d87dd) with eww-open-file.  Emacs shows two lines with the first one
> being very long, instead of wrapping the paragraph as expected.  The
> command I execute:
> 
>   ./emacs -Q --eval '(eww-open-file "test.html")'

Out of curiosity: why are you declaring a paragraph consisting
entirely of L2R text as R2L?  is there some real-life use case behind
this?

(If you replace "abc" with "אבג", the display will be as you expect.)